Bug 235136 - Review Request: lostirc - Simple IRC client for X11
Summary: Review Request: lostirc - Simple IRC client for X11
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nigel Jones
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-03 21:28 UTC by Damien Durand
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-13 09:25:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dev: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Damien Durand 2007-04-03 21:28:11 UTC
Spec URL: http://glive.tuxfamily.org/fedora/lostirc/lostirc.spec
SRPM URL: http://glive.tuxfamily.org/fedora/lostirc/lostirc-0.4.6-1.fc7.src.rpm
Description: Lostirc is a simple, yet very useful IRC-client. It has features such as tab-autocompletion, multiple server support, automatic joining of 
servers/channels and DCC sending which should cover the needs of most 
people. The client is 100% keyboard-controllable, and uses the gtkmm GUI 
library

Comment 1 Nigel Jones 2007-05-25 10:55:56 UTC
Hi Damien,

Spec file looks good (quick look), expect a full review shortly

Comment 2 Nigel Jones 2007-05-28 11:24:04 UTC
(In reply to comment #1)
> Spec file looks good (quick look), expect a full review shortly

Errr... Seems I lied here, I've been rushed off my feet with an exam, I've got 
a draft review ready though (on another installation).

One issue that I can remember is the source0 url needs to be altered to  
http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

No need to bump for this at the moment, please wait for my full review in a 
couple of days.

Comment 3 Nigel Jones 2007-05-30 04:53:08 UTC
Package name:             OK (lostirc)
License:                  OK (GPL)
Spec Legible:             OK (en_US)
md5sum matches:           OK (501cd56bc0740d599540fb415718b939)
rpmlint clean:            OK
Builds correctly:         OK (i386 x86_64)
Spec has %clean:          OK
Macro use consistant:     OK
Contains code/content:    OK
-doc subpackage:          NA
-devel subpackage:        NA
-static subpackage:       NA
pkgconfig depend:         OK (See notes)
Contains %doc:            OK (AUTHORS COPYING NEWS README)
Library suffix:           NA
No .la files:             NA
Use desktop-file-install: OK
No duplicate ownerships:  OK
rm -rf %{buildroot}:      OK
RPM uses valid UTF-8:     OK
%defattr is set:          OK
No duplicate %files:      OK
Not relocatable:          OK
Calls ldconfig:           NA
Supports Locales:         OK
BR's are correct:         OK

MUST FIX:
* pkgconfig depend:
From ./configure:
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GLIBMMDEPS_CFLAGS... -I/usr/include/glibmm-2.4
-I/usr/lib/glibmm-2.4/include -I/usr/include/sigc++-2.0
-I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
checking for GLIBMMDEPS_LIBS... -L/lib -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0
-lglib-2.0
checking for GTKMMDEPS_CFLAGS... -I/usr/include/gtkmm-2.4
-I/usr/lib/gtkmm-2.4/include -I/usr/include/glibmm-2.4
-I/usr/lib/glibmm-2.4/include -I/usr/include/gdkmm-2.4
-I/usr/lib/gdkmm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/include/atkmm-1.6
-I/usr/include/gtk-2.0 -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include
-I/usr/include/cairomm-1.0 -I/usr/include/pango-1.0 -I/usr/include/cairo
-I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0
checking for GTKMMDEPS_LIBS... -L/lib -lgtkmm-2.4 -lgtk-x11-2.0 -lgdkmm-2.4
-lgdk-x11-2.0 -lcairomm-1.0 -lgdk_pixbuf-2.0 -lm -latkmm-1.6 -latk-1.0
-lpangomm-1.4 -lglibmm-2.4 -lpangocairo-1.0 -lsigc-2.0 -lpango-1.0 -lcairo
-lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0

You should add a BR for pkgconfig
N.B. as gtkmm24-devel requires glib2-devel which inturn requires pkgconfig it's
up to you, I'd nearly be tempted to leave it out.

* Source URL needs to be changed (per Comment #2)

* A FYI: I tried building for EPEL but it failed, you may wish to consider
talking to the gtkmm maintainer and asking if they'd like to consider building
for EPEL if you wish to see you package included. (Not required to get in Fedora
though)

Overall, great package... APPROVED

Comment 5 Damien Durand 2007-05-31 19:31:51 UTC
New Package CVS Request
=======================
Package Name: lostirc
Short Description: Simple IRC client for X11
Owners: splinux@fedoraproject.org
Branches: FC-6 FC-7
InitialCC: splinux25@gmail.com

Comment 6 Tom "spot" Callaway 2007-06-01 20:40:18 UTC
CVS is done... note that lostirc was orphaned before this, you might need to
clean out the FC-6 directory first.

Comment 7 Damien Durand 2007-06-13 09:25:52 UTC
Built and imported ;-)


Note You need to log in before you can comment on or make changes to this bug.